/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: HelloImpl.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

package com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R1141;

import com.sun.ts.lib.util.*;
import com.sun.ts.lib.porting.*;

import javax.xml.ws.WebServiceException;

import javax.jws.WebService;

@WebService(
    portName="HelloPort",
    serviceName="W2JRLR1141TestService",
    targetNamespace="http://w2jrlr1141testservice.org/wsdl",
    wsdlLocation="WEB-INF/wsdl/W2JRLR1141TestService.wsdl",
    endpointInterface="com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R1141.Hello"
)

public class HelloImpl implements Hello{

    public HelloResponse hello(HelloRequest req)  {
        System.out.println("Hello, " + req.getString() + "!");
	HelloResponse resp = new HelloResponse();
	resp.setString("Hello, " + req.getString() + "!");
        return resp;
    }
}
